| Home | Libraries | People | FAQ | More

##### windows::basic_random_access_handle::write_some_at (1 of 2 overloads)

Write some data to the handle at the specified offset.

    template<
        typename ConstBufferSequence>
    std::size_t write_some_at(
        uint64_t offset,
        const ConstBufferSequence & buffers);

This function is used to write data to the random-access handle. The function call will block until one or more bytes of the data has been written successfully, or until an error occurs.

###### Parameters

offset

  The offset at which the data will be written.

buffers

  One or more data buffers to be written to the handle.

###### Return Value

The number of bytes written.

###### Exceptions

boost::system::system_error

  Thrown on failure. An error code of `boost::asio::error::eof` indicates that the connection was closed by the peer.

###### Remarks

The write_some_at operation may not write all of the data. Consider using the `write_at` function if you need to ensure that all data is written before the blocking operation completes.

###### Example

To write a single data buffer use the `buffer` function as follows:

    handle.write_some_at(42, boost::asio::buffer(data, size));

See the `buffer` documentation for information on writing multiple buffers in one go, and how to use it with arrays, boost::array or std::vector.